org.springframework.expression.spel.ast

## Class MethodReference

- java.lang.Object
- - org.springframework.expression.spel.ast.SpelNodeImpl
  - - org.springframework.expression.spel.ast.MethodReference

All Implemented Interfaces:
  SpelNode

    public class MethodReference
    extends SpelNodeImpl

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

### Field Summary

### Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`children, pos`

### Constructor Summary

Constructors
Constructor and Description
`MethodReference(boolean nullSafe, String methodName, int pos, SpelNodeImpl... arguments)`

### Method Summary

Methods
`TypedValue` `getValueInternal(ExpressionState state)`
`protected ValueRef` `getValueRef(ExpressionState state)`
`String` `toStringAST()`

### Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, isWritable, nextChildIs, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodReference

    public MethodReference(boolean nullSafe,
                   String methodName,
                   int pos,
                   SpelNodeImpl... arguments)

### Method Detail

#### getValueRef

    protected ValueRef getValueRef(ExpressionState state)
                            throws EvaluationException

Overrides:
  `getValueRef` in class `SpelNodeImpl`
Throws:
  `EvaluationException`

#### getValueInternal

    public TypedValue getValueInternal(ExpressionState state)
                                throws EvaluationException

Specified by:
  `getValueInternal` in class `SpelNodeImpl`
Throws:
  `EvaluationException`

#### toStringAST

    public String toStringAST()

Specified by:
  `toStringAST` in interface `SpelNode`
Specified by:
  `toStringAST` in class `SpelNodeImpl`
Returns:
  the string form of this AST node